//    Copyright 2025 Bill Rossi
//    
//    This file is part of Hanafuda Hachi-Hachi.
//
//    Hanafuda Hachi-Hachi is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
//
//    Hanafuda Hachi-Hachi is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License along with Hanafuda Hachi-Hachi. If not, see <https://www.gnu.org/licenses/>. 
#ifndef _HF_PLAY_
#define _HF_PLAY_

#include <stdbool.h>

typedef struct Play Play;

#include "card.h"

struct Play {
  Card *played;
  Card *target;
};

bool valid_play(Hand *field, Card *played, Card *target);
void valid_targets(Card *active, Hand *field, Card **targets, int *target_count);
Card *valid_target(Card *active, Hand *field);
Play ai_play(Hand *hand, Hand *field);

#endif
