//    Copyright 2025 Bill Rossi
//    
//    This file is part of Hanafuda Hachi-Hachi.
//
//    Hanafuda Hachi-Hachi is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
//
//    Hanafuda Hachi-Hachi is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License along with Hanafuda Hachi-Hachi. If not, see <https://www.gnu.org/licenses/>. 
#ifndef _HF_TITLE_
#define _HF_TITLE_

typedef struct Title Title;

#include "game.h"

struct Title {
  bool hover_start;
  bool hover_options;
  bool hover_quit;
  bool hover_credits;
  bool hover_rules;
  Texture2D rules_qr;
};

void title_handle_input(Game *g);
void title_draw(Game *g);
void initialize_title(Game *g);
void run_frame_title(Game *g);

#endif
